[general]
name = Mims Rabi
version = 1.1 
[text]
--- type here your sample description ---
--- this is only a template ---
--- here is the third line ---

[sweep]
transient = I,1000,30,a,b
sweep0 = S,2,1,ph
sweep1 = X,200,8,trf
sweep2 = P,1,1,t90,tau,t,RepTime,RF1

[params]
ph = 1, 2;PPL variable
trf = 200 ns step 100 ns;PPL variable
t90 = 100 ns;PPL variable
tau = 350 ns;PPL variable
t = 30 us;PPL variable
RepTime = 8 ms;Repetition time
RF1 = 144 MHz;Freq1@RFGen

[aquisition]
a = In_Ch0@PulseGen
b = In_Ch5@PulseGen

[program]
time tau, t90, t, trf
int ph
signal a,b

%% using second microwave channel
%% best to see pulses:
  %% dwelltime@PulseGen 80 ns
  %% startdelay@PulseGen 10 us

phase = [ 0,  2]
det   = [ 'a', '-a']

mwpulse t90, phase(ph)
wait tau
mwpulse t90, phase(ph)
parallel
 wait 200 ns
 rfpulse trf
end
wait t
mwpulse t90, phase(ph)
wait tau
detect det(ph), 'b'

[presetup]

[aftersetup]

[eachpoint]

[scope]
IFirstPoint = 700
IWidth = 10
