[general]
name = EDEPR-2P
version = 1.1 
[text]
--- type here your sample description ---
--- this is only a template ---
--- here is the third line ---

[sweep]
transient = I,1,30,a
sweep0 = X,200,1,SetField,Field
sweep1 = P,1,1,tau,t90,t180,RepTime,ChRate,ph

[params]
SetField = 3 T step 1 mT;Field@Field
tau = 400 ns;PPL variable
t90 = 100 ns;PPL variable
t180 = 200 ns;PPL variable
RepTime = 10 ms;Repetition time
ChRate = 1 mTs;ChargeRate@Field
ph = 1, 2;PPL variable

[aquisition]
a = In0@ADC
Field = Field@Field

[streams]
names = Re, Field
units = V, T
dwelltime = 1 s, 1 s

[program]
time tau, t90, t180
int ph

%% using second microwave channel

phase = [ 1,  3]
det   = [ 'a', '-a']

mwpulse t90, phase(ph)
wait tau
mwpulse t180, 1
wait tau
detect det(ph)

[presetup]
isSweep = 1;Sweep@Field

[aftersetup]

[eachpoint]

[scope]
IFirstPoint = 0
IWidth = 1

