[general]
name = Davies ENDOR single point acquisition
version = 1.1 
[text]
--- type here your sample description ---
--- this is only a template ---
--- here is the third line ---

[sweep]
transient = I,1,30,a
sweep0 = S,2,1,ph
sweep1 = X,200,1,RF1
sweep2 = P,1,1,t180_1,t90,t180,tau,trf,t,RepTime

[params]
ph = 1, 2;p;PPL variable 
RF1 = 135.3 MHz to 145.3 MHz;Freq1@RFGen
t180_1 = 200 ns;p;PPL variable 
t90 = 100 ns;p;PPL variable 
t180 = 200 ns;p;PPL variable 
tau = 350 ns;p;PPL variable 
trf = 15 us;p;PPL variable 
t = 20 us;p;PPL variable 
RepTime = 5 ms;p;PPL variable 

[aquisition]
a = ;a;In0@ADC

[program]
time tau, t90, t180, t, trf, t180_1
int ph

%% using second microwave channel

%% best parameters to see pulses:
%% DwellTime 30ns, Start Delay 32us

phase = [ 1,  3]
det   = [ 'a', '-a']

mwpulse t180_1, phase(1)
parallel
 wait 200 ns
 rfpulse trf
end
wait t
mwpulse t90, phase(ph)
wait tau
mwpulse t180, phase(1)
wait tau
detect det(ph)

[presetup]

[aftersetup]

[eachpoint]

