[general]
name = Mims ENDOR single point acquisition
version = 1.1 
[text]
--- type here your sample description ---
--- this is only a template ---
--- here is the third line ---

[sweep]
transient = I,1,30,a
sweep0 = S,2,1,ph
sweep1 = X,200,1,RF1
sweep2 = P,1,1,t90,tau,trf,t,RepTime

[params]
ph = 1, 2;Reserved (-2)
RF1 = 50 MHz to 70 MHz;Freq1@RFGen
t90 = 100 ns;Reserved (-2)
tau = 350 ns;Reserved (-2)
trf = 25 us;Reserved (-2)
t = 30 us;Reserved (-2)
RepTime = 8 ms;Reserved (-3)

[aquisition]
a = In0@ADC

[program]
time tau, t90, t, trf
int ph

%% using second microwave channel

phase = [ 1,  3]
det   = [ 'a', '-a']

mwpulse t90, phase(ph)
wait tau
mwpulse t90, phase(ph)
parallel
 wait 200 ns
 rfpulse trf
end
wait t
mwpulse t90, phase(ph)
wait tau
detect det(ph)

[presetup]

[aftersetup]

[eachpoint]
