[general]
name = Davies ENDOR single point acquisition
version = 1.1 
[text]
--- type here your sample description ---
--- this is only a template ---
--- here is the third line ---

[sweep]
transient = I,500,10,a
sweep0 = X,200,134,RF1
sweep1 = P,1,1,t180_1,t90,t180,tau,trf,t,RepTime,ph

[params]
RF1 = 135.3 MHz to 145.3 MHz;Freq1@RFGen
t180_1 = 200 ns;PPL variable
t90 = 100 ns;PPL variable
t180 = 200 ns;PPL variable
tau = 350 ns;PPL variable
trf = 15 us;PPL variable
t = 20 us;PPL variable
RepTime = 1 ms;Repetition time
ph = 1, 2;PPL variable

[aquisition]
a = In0@ADC

[program]
time tau, t90, t180, t, trf, t180_1
int ph

%% using second microwave channel

%% best parameters to see pulses:
%% DwellTime 30ns, Start Delay 32us

phase = [ 1,  3]
det   = [ 'a', '-a']

mwpulse t180_1, phase(1)
parallel
 wait 200 ns
 rfpulse trf
end
wait t
mwpulse t90, phase(ph)
wait tau
mwpulse t180, phase(1)
wait tau
detect det(ph)

[presetup]

[aftersetup]

[eachpoint]
[scope]
IFirstPoint = 0
IWidth = 100
