[general]
name = HYSCORE
version = 1.1 
[text]
--- type here your sample description ---
--- this is only a template ---
--- here is the third line ---

[sweep]
transient = I,500,10,a,b
sweep0 = X,128,1,T1
sweep1 = Y,128,1,T2
sweep2 = S,4,1,ph
sweep3 = P,1,1,t90,RepTime,t180,tau

[params]
T1 = 40 ns step 20 ns;PPL variable
T2 = 40 ns step 20 ns;PPL variable
ph = 1, 2, 3, 4;PPL variable
t90 = 80 ns;PPL variable
RepTime = 1 ms;Repetition time
t180 = 100 ns;PPL variable
tau = 200 ns;PPL variable

[aquisition]
a = In_Ch0@PulseGen
b = In_Ch1@PulseGen

[program]
time tau, t90, t180, T1, T2
int ph
signal a,b

%% using second microwave channel
%% to see pulses StartDelay = -200ns

phase1 = [ 0, 0, 0, 0]
phase2 = [ 1, 1, 1, 1]
phase3 = [ 0, 0, 3, 3]
phase4 = [ 0, 1, 0, 1]
det1    = [ 'a', '-a', 'a', '-a']
det2    = [ 'b', '-b', 'b', '-b']

mwpulse t90, phase1(ph)
wait tau
mwpulse t90, phase2(ph)
wait T1
mwpulse t180, phase3(ph)
wait T2
mwpulse t90, phase4(ph)
wait tau
detect det1(ph), det2(ph)

[presetup]

[aftersetup]

[eachpoint]
[scope]
IFirstPoint = 0
IWidth = 100
